/*!
 * @file atrasos.c
 * @brief Gerencia os atrasos por la&ccedil;o de espera
 * @date Feb 7, 2017
 * @author Ting
 */

/*!
 * @brief gera um atraso correspondente a i itera&ccedil;&otilde;es
 * @param i n&uacute;mero de itera&ccedil;&otilde;es
 */
void delay( unsigned int i) 
{
	while (i) i--;        /*! Decrementa on&uacute;mero de itera&ccedil;&otilde;es at&eacute; zero */
}

/*!
 * @brief gera um atraso correspondente a m&uacute;ltiplos de 10us
 * @param i n&uacute;mero de vezes
 */
void delay10us(unsigned int i) 
{
}

/**
 * @brief Espera por um intervalo correspondente &agrave; metade do per&iacute;odo   
 * correspondente &agrave; frequ&ecirc;ncia especificada
 * @param[in] valor
 */
void delayfreq(float valor) {
	delay10us((unsigned int)(1./valor*50000.));
}

